Opened 4 years ago

Closed 4 years ago

#25112 closed defect (fixed)

perl_term_readline_gnu: Upgrade to 1.35 and patch away ncurses problem

Reported by: Matthias Köppe Owned by:
Priority: major Milestone: sage-8.2
Component: packages: experimental Keywords: IMA-PolyGeom, polymake, perl
Cc: Jean-Philippe Labbé, Jeroen Demeyer Merged in:
Authors: Matthias Koeppe Reviewers: Jean-Philippe Labbé
Report Upstream: N/A Work issues:
Branch: 672a3a2 (Commits, GitHub, GitLab) Commit: 672a3a28728a051079f9afdc0789420c54f785b1
Dependencies: Stopgaps:

Status badges

Description (last modified by Matthias Köppe)

perl_term_readline_gnu does not install on some systems as reported in #24905 (polymake) .

In this ticket we upgrade and add a patch to the installation perl script to fix the problem.

 (cd upstream && wget http://search.cpan.org/CPAN/authors/id/H/HA/HAYASHI/Term-ReadLine-Gnu-1.35.tar.gz)

Change History (7)

comment:1 Changed 4 years ago by Matthias Köppe

Branch: u/mkoeppe/perl_term_readline_gnu__upgrade_to_1_35_and_patch_away_ncurses_problem

comment:2 Changed 4 years ago by Matthias Köppe

Cc: Jean-Philippe Labbé Jeroen Demeyer added
Commit: 672a3a28728a051079f9afdc0789420c54f785b1
Description: modified (diff)

New commits:

3ffafdfUpdate perl_term_readline_gnu to 1.35
672a3a2perl_term_readline_gnu: Find ncurses

comment:3 Changed 4 years ago by Matthias Köppe

Status: newneeds_review

comment:4 Changed 4 years ago by Jean-Philippe Labbé

Reviewers: Jean-Philippe Labbé

Works on debian stretch.

comment:5 Changed 4 years ago by Jean-Philippe Labbé

Status: needs_reviewpositive_review

comment:6 Changed 4 years ago by Jean-Philippe Labbé

Keywords: IMA-PolyGeom polymake perl added

comment:7 Changed 4 years ago by Volker Braun

Branch: u/mkoeppe/perl_term_readline_gnu__upgrade_to_1_35_and_patch_away_ncurses_problem672a3a28728a051079f9afdc0789420c54f785b1
Resolution: fixed
Status: positive_reviewclosed
Note: See TracTickets for help on using tickets.